=== modified file 'bzrlib/tests/test_smart.py'
--- bzrlib/tests/test_smart.py	2009-09-24 05:31:23 +0000
+++ bzrlib/tests/test_smart.py	2009-10-23 03:37:41 +0000
@@ -170,6 +170,9 @@
         self.assertRaises(
             errors.PathNotChild, request.translate_client_path, 'bar/')
         self.assertEqual('./baz', request.translate_client_path('foo/baz'))
+        e_acute = u'\N{LATIN SMALL LETTER E WITH ACUTE}'.encode('utf-8')
+        self.assertEqual('./' + urlutils.escape(e_acute),
+                         request.translate_client_path('foo/' + e_acute))
 
     def test_transport_from_client_path(self):
         transport = self.get_transport()

